package com.ffii.fhsmsc.modules.pet_information.req;

import java.util.Date;

import jakarta.persistence.Column;
public class pet_informationReq {
    
    private Long id;
    @Column(name = "owner_id")
    private Long owner_id;

    @Column(name = "pet_name")
    private String pet_name;

    @Column(name = "gender")
    private String gender;
    @Column(name = "age_category")
    private String age_category;
    @Column(name = "birth_date")
    private Date birth_date;
    @Column(name = "breed")
    private String breed;
    @Column(name = "weight_kg")
    private Double weight_kg;



    @Column(name = "sterilization")
    private String sterilization;
    @Column(name = "activity_level")
    private String activity_level;
    @Column(name = "health_issues")
    private String health_issues;
    @Column(name = "family_health_history")
    private String family_health_history;
    @Column(name = "health_goal")
    private String health_goal;
    @Column(name = "type")
    private String type;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOwner_id() {
        return owner_id;
    }

    public void setOwner_id(Long owner_id) {
        this.owner_id = owner_id;
    }

    public String getPet_name() {
        return pet_name;
    }

    public void setPet_name(String pet_name) {
        this.pet_name = pet_name;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getAge_category() {
        return age_category;
    }

    public void setAge_category(String age_category) {
        this.age_category = age_category;
    }

    public Date getBirth_date() {
        return birth_date;
    }

    public void setBirth_date(Date birth_date) {
        this.birth_date = birth_date;
    }

    public String getBreed() {
        return breed;
    }

    public void setBreed(String breed) {
        this.breed = breed;
    }

    public Double getWeight_kg() {
        return weight_kg;
    }

    public void setWeight_kg(Double weight_kg) {
        this.weight_kg = weight_kg;
    }

    public String getSterilization() {
        return sterilization;
    }

    public void setSterilization(String sterilization) {
        this.sterilization = sterilization;
    }

    public String getActivity_level() {
        return activity_level;
    }

    public void setActivity_level(String activity_level) {
        this.activity_level = activity_level;
    }

    public String getHealth_issues() {
        return health_issues;
    }

    public void setHealth_issues(String health_issues) {
        this.health_issues = health_issues;
    }

    public String getFamily_health_history() {
        return family_health_history;
    }

    public void setFamily_health_history(String family_health_history) {
        this.family_health_history = family_health_history;
    }

    public String getHealth_goal() {
        return health_goal;
    }

    public void setHealth_goal(String health_goal) {
        this.health_goal = health_goal;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

}
